Subject: Re: [Diffserv] EF RFC and loss

From: Stefano Salsano <[email-masked]>
Date: Sat, 30 Oct 1999 10:50:18 +0100

[Ion wrote:]
> I just want to make a clarification with respect to the burstiness and
> buffer requirements at core routers for the premium service. In
> particular, the burstiness at an input/output port of a core router 
> can be as high as the _number_ of EF flows that share that link.
[...] 
> Since at least theoretically we can arbitrarily increase s, let us
> consider that the burstiness is bounded by m.
[...]

Dear Ion, dear all,

I want to comment on the hypothesis that we can bound the 
burstiness on an internal link with the number of flows (m).

This bound holds only if "perfectly regulated" flows i.e.
with burstiness = 1 (CBR) are given in input.

In a real situation a flow has a peak rate and a burstiness < 1.
If you multiplex a set of such real flows on an output link,
you can have a "clumping" effect. Consider N flows on separate
input lines, they can emit N packets in the same time, the
more unlucky will have to wait N-1 packet times. Then the first
N-1 flows become silent, while the Nth flow emits the following
packet at its peak rate. Two consecutive packet of the same
flow N will appear on the output link with a reduced interpacket
time.

Let us consider the following multiplexing stage. You have M 
input lines and you can combine M worst case input flows (like 
flow N). Then you can consider the worst case clumping on this
second stage multiplexer and so on.

The results is not linear... you can create burst much longer
than the number of the flow m. The theorethical buffer requirements
in order to provide zero loss are much higher than considering 
m as the maximum burstiness. You can find an analytical description
of this effect in http://www.coritel.it/~elisa/worstcase.zip
I have not seen discussion on this "worst case" clumping effect so
far... am I right ?

Of course the probability that worst case happens is near to zero... 
but it is important in order to state whether the premium service
is a zero loss service or not. My opinion is that if you want
to build a zero loss service considering the analytical worst
case... the buffer requirements are very high after few hops.

Best regards,
Stefano

-- 
*******************************************************************
Stefano Salsano
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
                  
E-mail  : [email-masked]      URL     : http://www.coritel.it
Tel.    : +39 06 20410029          Address : Via di Tor Vergata, 135     
Fax.    : +39 06 20410037                    00133 Roma - ITALY          
*******************************************************************

---

From: Ion Stoica <[email-masked]>
Date: Sat, 30 Oct 1999 10:47:04 -0400

Hi Stefano,

Excellent point. I am aware about the "clumping" effect. My intention
was just to give a simple example which shows that the buffer
requirements at core nodes can be pretty high even in a simple scenario. 
That's the reason for which I did not claim worst-case bounds. Thanks
for the note.

Ion

Stefano Salsano wrote:
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/diffserv
> Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Kathleen Nichols <[email-masked]>
Date: Sat, 30 Oct 1999 21:17:17 -0700

Stefano Salsano wrote:
...
> with burstiness = 1 (CBR) are given in input.
...

The discussion was about the VLL (also called "Premium" service
build using the EF PHB) rather than the general problem of burstiness
in flows.

	Kathie